# pspctrl.h File Reference

Go to the source code of this file.

## Data Structures

struct | SceCtrlData
| Returned controller data. More...
struct | SceCtrlLatch

## Typedefs

typedef SceCtrlData | SceCtrlData
| Returned controller data.
typedef SceCtrlLatch | SceCtrlLatch

## Enumerations

enum

PspCtrlButtons {
PSP_CTRL_SELECT = 0x000001, PSP_CTRL_START = 0x000008, PSP_CTRL_UP = 0x000010, PSP_CTRL_RIGHT = 0x000020,
PSP_CTRL_DOWN = 0x000040, PSP_CTRL_LEFT = 0x000080, PSP_CTRL_LTRIGGER = 0x000100, PSP_CTRL_RTRIGGER = 0x000200,
PSP_CTRL_TRIANGLE = 0x001000, PSP_CTRL_CIRCLE = 0x002000, PSP_CTRL_CROSS = 0x004000, PSP_CTRL_SQUARE = 0x008000,
PSP_CTRL_HOME = 0x010000, PSP_CTRL_HOLD = 0x020000, PSP_CTRL_NOTE = 0x800000
}

| Enumeration for the digital controller buttons. More...
enum | PspCtrlMode { PSP_CTRL_MODE_DIGITAL = 0, PSP_CTRL_MODE_ANALOG }
| Controller mode. More...

## Functions

int | sceCtrlSetSamplingCycle (int cycle)
| Set the controller cycle setting.
int | sceCtrlGetSamplingCycle (int *pcycle)
| Get the controller current cycle setting.
int | sceCtrlSetSamplingMode (int mode)
| Set the controller mode.
int | sceCtrlGetSamplingMode (int *pmode)
| Get the current controller mode.
int | sceCtrlPeekBufferPositive (SceCtrlData *pad_data, int count)
int | sceCtrlPeekBufferNegative (SceCtrlData *pad_data, int count)
int | sceCtrlReadBufferPositive (SceCtrlData *pad_data, int count)
| Read buffer positive.
int | sceCtrlReadBufferNegative (SceCtrlData *pad_data, int count)
int | sceCtrlPeekLatch (SceCtrlLatch *latch_data)
int | sceCtrlReadLatch (SceCtrlLatch *latch_data)